## ros-melodic-naoqi-driver 0.5.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(naoqi_driver)

# define source files that can be used by qibuild or catkin
set(
  CONVERTERS_SRC
  src/converters/audio.cpp
  src/converters/touch.cpp
  src/converters/camera.cpp
  src/converters/diagnostics.cpp
  src/converters/imu.cpp
  src/converters/info.cpp
  src/converters/joint_state.cpp
  src/converters/laser.cpp
  src/converters/memory_list.cpp
  src/converters/memory/bool.cpp
  src/converters/memory/int.cpp
  src/converters/memory/float.cpp
  src/converters/memory/string.cpp
  src/converters/sonar.cpp
  src/converters/log.cpp
  src/converters/odom.cpp
  )
set(
  TOOLS_SRC
  src/tools/robot_description.cpp
  src/tools/from_any_value.cpp
  )

set(
  PUBLISHER_SRC
  src/publishers/camera.cpp
  src/publishers/info.cpp
  src/publishers/joint_state.cpp
  src/publishers/log.cpp
  src/publishers/sonar.cpp
  )

set(
  SUBSCRIBER_SRC
  src/subscribers/teleop.cpp
  src/subscribers/moveto.cpp
  src/subscribers/speech.cpp
  )

set(
  SERVICES_SRC
  src/services/robot_config.cpp
  src/services/set_language.cpp
  src/services/get_language.cpp
  )

set(
  RECORDER_SRC
  src/recorder/camera.cpp
  src/recorder/diagnostics.cpp
  src/recorder/joint_state.cpp
  src/recorder/log.cpp
  src/recorder/sonar.cpp
  )

set(
  DRIVER_SRC
  src/naoqi_driver.cpp
  src/helpers/driver_helpers.cpp
  src/recorder/globalrecorder.cpp
  src/event/basic.hxx
  src/event/basic.hpp
  src/event/audio.cpp
  src/event/touch.cpp
  )

# use catkin if qibuild is not found
if(DEFINED qibuild_DIR)
  find_package(qibuild QUIET)
else()
  find_package(catkin QUIET)
  include(CMakeLists_catkin.txt)
  return()
endif()

find_package(qimodule)

include_directories( include )

qi_create_module(
  naoqi_driver_module
  src/autoload_registration.cpp
  SHARED
)
qi_stage_lib( naoqi_driver_module )

qi_create_lib(
  naoqi_driver
  SHARED
  ${DRIVER_SRC}
  ${CONVERTERS_SRC}
  ${PUBLISHER_SRC}
  ${SUBSCRIBER_SRC}
  ${SERVICES_SRC}
  ${RECORDER_SRC}
  ${TOOLS_SRC}
)
qi_use_lib( naoqi_driver QICORE QI ROS )
qi_stage_lib( naoqi_driver )

target_link_libraries(
  naoqi_driver_module
  naoqi_driver
)

qi_create_bin( naoqi_driver_node src/external_registration.cpp)
target_link_libraries(
  naoqi_driver_node
  naoqi_driver
)

# install the urdf for runtime loading
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/share/" DESTINATION "${QI_SDK_DIR}/${QI_SDK_SHARE}/")
qi_install_data( share/)

=== debian/changelog ===
ros-melodic-naoqi-driver (0.5.11-0stretch) stretch; urgency=high

  * Merge pull request #129 <https://github.com/ros-naoqi/naoqi_driver/issues/129> from Pandhariix/melodic_compatibility
    Melodic compatibility
  * Merge pull request #126 <https://github.com/ros-naoqi/naoqi_driver/issues/126> from Pandhariix/lasers_range
    Parametrizable range for Pepper's lasers
  * Merge pull request #130 <https://github.com/ros-naoqi/naoqi_driver/issues/130> from Pandhariix/melodic_ci
    Adapt the README to the new CI
  * Update CI, add melodic-stretch
  * Adapt the README to the new CI
  * Merge pull request #128 <https://github.com/ros-naoqi/naoqi_driver/issues/128> from ros-naoqi/use_ici
    use industrial_ci instead of custom CI
  * send emails only for builds on master branch
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * use industrial_ci instead of custom CI
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Remove -Werror=deprecated-declarations to compile for melodic
  * Replace the joint and joint mimics boost shared pointers by urdf::JointMimicSharedPtr & urdf::JointSharedPtr
  * Include iostream to avoid cout not a member of std
  * Merge pull request #127 <https://github.com/ros-naoqi/naoqi_driver/issues/127> from ros-naoqi/remove_eol_lunar
    remove EOL ROS Lunar from travis config
  * remove lunar from readme as well
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * remove EOL ROS Lunar from travis config
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Parametrizable range for Pepper's lasers. Default range, 0.1 to 3.0 meters
  * Merge pull request #125 <https://github.com/ros-naoqi/naoqi_driver/issues/125> from Pandhariix/indigo_ci
    Use std::numeric_limits<double>::quiet_NaN for indigo compatibility
  * Merge pull request #124 <https://github.com/ros-naoqi/naoqi_driver/issues/124> from ros-naoqi/fix_orocos
    upgrade to make sure all package versions are consistent
  * Replace std::nan to std::numeric_limits<double>::quiet_NaN for the indigo compatibility
  * upgrade to make sure all package versions are comsistent
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Merge pull request #123 <https://github.com/ros-naoqi/naoqi_driver/issues/123> from ros-naoqi/rosdep_eol
    pass rosdep eol flag
  * pass rosdep eol flag
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Merge pull request #113 <https://github.com/ros-naoqi/naoqi_driver/issues/113> from Pandhariix/master
    Add velocities and torques to the joint states
  * Changing the maintainer
  * Add velocities and torques to the joint states
  * Merge pull request #112 <https://github.com/ros-naoqi/naoqi_driver/issues/112> from Pandhariix/hotfix/indigo_compilation
    Fix compilation error for indigo
  * Fix compilation error for indigo
  * Merge pull request #111 <https://github.com/ros-naoqi/naoqi_driver/issues/111> from Pandhariix/feature/stereo
    Feature/stereo
  * Print the detected version of the robot
  * Update boot_config to take into account the stereo
  * Update naoqi_driver to take into account robots with stereo
  * Add methods handling the camera parameters for the stereo cameras and call them in the getCameraInfo method
  * Update the CameraConverter class to take the stereo into account
  * Add the isDepthStereo method to the driver helpers
  * Add the RGB Stereo and Depth Stereo parameters to the vision definitions
  * Merge pull request #108 <https://github.com/ros-naoqi/naoqi_driver/issues/108> from kochigami/add-initializing-message
    * add naoqi_driver initialized message
    * modify the message of service and subscriber registering process
  * modify message of service and subscriber registering process like others
  * add naoqi_driver initialized message
  * Contributors: Kanae Kochigami, Maxime Busy, Mikael Arguedas, Natalia Lyubova, Pandhariix, Séverin Lemaignan

 -- Marine Chamoux <mchamoux@softbankrobotics.com>  Tue, 07 Jan 2020 23:00:00 -0000

ros-melodic-naoqi-driver (0.5.10-0stretch) stretch; urgency=high

  * disable logs as default (reference #68 <https://github.com/ros-naoqi/naoqi_driver/issues/68>) (#88 <https://github.com/ros-naoqi/naoqi_driver/issues/88>)
  * Missing tf2 include and tf2 exception type (#103 <https://github.com/ros-naoqi/naoqi_driver/issues/103>)
    * Add missing include tf2_ros/buffer.h
    * Catch tf2::TransformException
  * add services for get and set language (#87 <https://github.com/ros-naoqi/naoqi_driver/issues/87>)
  * C-style comments are not syntactically correct in JSON (#98 <https://github.com/ros-naoqi/naoqi_driver/issues/98>)
    * C-style comments are not syntactically correct in JSON
  * Remove Jade from Travis description (#95 <https://github.com/ros-naoqi/naoqi_driver/issues/95>)
    * Remove Jade from Travis description and CI matrix
    * Correct badges according to the Travis matrix modification, and add Debian stretch badge
  * Adding a maintainer
  * Ci (#94 <https://github.com/ros-naoqi/naoqi_driver/issues/94>)
    * Add .travis.yml
  * Adding a warning for VGA resolution for depth camera (#93 <https://github.com/ros-naoqi/naoqi_driver/issues/93>)
    Adding a warning for VGA resolution for depth camera
  * Merge pull request #92 <https://github.com/ros-naoqi/naoqi_driver/issues/92> from Pandhariix/add_joint_limits
    Add joint limits to the diagnostics
  * Start adding joints limits to the diagnostic
    Add double layered float vector converter method
    Add the joints limit map, and add the joints limits to the diagnostic message
  * Update gitignore
  * Fix typo in naoqi_driver.hpp
  * Merge pull request #85 <https://github.com/ros-naoqi/naoqi_driver/issues/85> from PacoDu/fix_node_name_empty
    Fix node name empty related to pepper_robot issue #35 <https://github.com/ros-naoqi/naoqi_driver/issues/35>
  * Update naoqi_driver.cpp
    Error while merging, setPrefix removed.


=== debian/control ===
Source: ros-melodic-naoqi-driver
Section: misc
Priority: optional
Maintainer: Marine Chamoux <mchamoux@softbankrobotics.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-diagnostic-msgs, ros-melodic-diagnostic-updater, ros-melodic-geometry-msgs, ros-melodic-image-transport, ros-melodic-kdl-parser, ros-melodic-naoqi-bridge-msgs (>= 0.0.4), ros-melodic-naoqi-libqi, ros-melodic-naoqi-libqicore, ros-melodic-orocos-kdl, ros-melodic-robot-state-publisher, ros-melodic-rosbag-storage, ros-melodic-rosconsole, ros-melodic-rosgraph-msgs, ros-melodic-sensor-msgs, ros-melodic-tf2-geometry-msgs, ros-melodic-tf2-msgs, ros-melodic-tf2-ros
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-naoqi-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-melodic-cv-bridge, ros-melodic-image-transport, ros-melodic-kdl-parser, ros-melodic-naoqi-bridge-msgs (>= 0.0.4), ros-melodic-naoqi-libqi, ros-melodic-naoqi-libqicore, ros-melodic-orocos-kdl, ros-melodic-robot-state-publisher, ros-melodic-rosbag-storage, ros-melodic-rosconsole, ros-melodic-tf2-ros
Conflicts: ros-melodic-nao-driver, ros-melodic-naoqi-rosbridge
Description: Driver module between Aldebaran's NAOqiOS and ROS.
 It publishes all sensor and actuator data as well as basic diagnostic for battery, temperature. It subscribes also to RVIZ simple goal and cmd_vel for teleop.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-naoqi-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-naoqi-driver 0.5.12

=== debian/changelog ===
ros-melodic-naoqi-driver (0.5.12-1bionic) bionic; urgency=high

  * Fix typo in README, remove old rst README
  * Merge pull request #153 <https://github.com/ros-naoqi/naoqi_driver/issues/153> from mbusy/ci
    CI migration to github actions
  * Migrate CI from TravisCI to Github actions, update the README accordingly (switching to markdown)
  * Merge pull request #152 <https://github.com/ros-naoqi/naoqi_driver/issues/152> from mbusy/naoqi-2.9
    Naoqi 2.9 compatibility
  * Refactor the converters for compatibility
  * Refactor the audio event for compatibility
  * Add the getNaoqiVersion and isNaoqiVersionLesser to the driver helpers
  * Add the NaoqiVersion struct
  * Handle libqi 2.9 for the external registration, and update the launchfile accordingly
  * Add the driver authenticator class
  * Merge pull request #132 <https://github.com/ros-naoqi/naoqi_driver/issues/132> from mbusy/robust_movebase
    Robustify moveTo
  * Safer moveTo: only odom and base_footprint are accepted as references, and check if yaw is nan
  * Merge pull request #131 <https://github.com/ros-naoqi/naoqi_driver/issues/131> from ros-naoqi/testing_repo
    Update CI for melodic
  * melodic not allowed to fail anymore, indigo allowed
  * use testing repo
  * Contributors: Maxime Busy, Mikael Arguedas, Pandhariix, mbusy

 -- Marine Chamoux <mchamoux@softbankrobotics.com>  Tue, 06 Sep 2022 22:00:00 -0000

ros-melodic-naoqi-driver (0.5.11-1bionic) bionic; urgency=high

  * Merge pull request #129 <https://github.com/ros-naoqi/naoqi_driver/issues/129> from Pandhariix/melodic_compatibility
    Melodic compatibility
  * Merge pull request #126 <https://github.com/ros-naoqi/naoqi_driver/issues/126> from Pandhariix/lasers_range
    Parametrizable range for Pepper's lasers
  * Merge pull request #130 <https://github.com/ros-naoqi/naoqi_driver/issues/130> from Pandhariix/melodic_ci
    Adapt the README to the new CI
  * Update CI, add melodic-stretch
  * Adapt the README to the new CI
  * Merge pull request #128 <https://github.com/ros-naoqi/naoqi_driver/issues/128> from ros-naoqi/use_ici
    use industrial_ci instead of custom CI
  * send emails only for builds on master branch
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * use industrial_ci instead of custom CI
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Remove -Werror=deprecated-declarations to compile for melodic
  * Replace the joint and joint mimics boost shared pointers by urdf::JointMimicSharedPtr & urdf::JointSharedPtr
  * Include iostream to avoid cout not a member of std
  * Merge pull request #127 <https://github.com/ros-naoqi/naoqi_driver/issues/127> from ros-naoqi/remove_eol_lunar
    remove EOL ROS Lunar from travis config
  * remove lunar from readme as well
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * remove EOL ROS Lunar from travis config
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Parametrizable range for Pepper's lasers. Default range, 0.1 to 3.0 meters
  * Merge pull request #125 <https://github.com/ros-naoqi/naoqi_driver/issues/125> from Pandhariix/indigo_ci
    Use std::numeric_limits<double>::quiet_NaN for indigo compatibility
  * Merge pull request #124 <https://github.com/ros-naoqi/naoqi_driver/issues/124> from ros-naoqi/fix_orocos
    upgrade to make sure all package versions are consistent
  * Replace std::nan to std::numeric_limits<double>::quiet_NaN for the indigo compatibility
  * upgrade to make sure all package versions are comsistent
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Merge pull request #123 <https://github.com/ros-naoqi/naoqi_driver/issues/123> from ros-naoqi/rosdep_eol
    pass rosdep eol flag
  * pass rosdep eol flag
    Signed-off-by: Mikael Arguedas <mailto:mikael.arguedas@gmail.com>
  * Merge pull request #113 <https://github.com/ros-naoqi/naoqi_driver/issues/113> from Pandhariix/master
    Add velocities and torques to the joint states
  * Changing the maintainer
  * Add velocities and torques to the joint states
  * Merge pull request #112 <https://github.com/ros-naoqi/naoqi_driver/issues/112> from Pandhariix/hotfix/indigo_compilation
    Fix compilation error for indigo
  * Fix compilation error for indigo
  * Merge pull request #111 <https://github.com/ros-naoqi/naoqi_driver/issues/111> from Pandhariix/feature/stereo
    Feature/stereo
  * Print the detected version of the robot
  * Update boot_config to take into account the stereo
  * Update naoqi_driver to take into account robots with stereo
  * Add methods handling the camera parameters for the stereo cameras and call them in the getCameraInfo method
  * Update the CameraConverter class to take the stereo into account
  * Add the isDepthStereo method to the driver helpers
  * Add the RGB Stereo and Depth Stereo parameters to the vision definitions
  * Merge pull request #108 <https://github.com/ros-naoqi/naoqi_driver/issues/108> from kochigami/add-initializing-message
    * add naoqi_driver initialized message
    * modify the message of service and subscriber registering process
  * modify message of service and subscriber registering process like others
  * add naoqi_driver initialized message
  * Contributors: Kanae Kochigami, Maxime Busy, Mikael Arguedas, Natalia Lyubova, Pandhariix, Séverin Lemaignan

 -- Marine Chamoux <mchamoux@softbankrobotics.com>  Tue, 07 Jan 2020 23:00:00 -0000

ros-melodic-naoqi-driver (0.5.10-1bionic) bionic; urgency=high

  * disable logs as default (reference #68 <https://github.com/ros-naoqi/naoqi_driver/issues/68>) (#88 <https://github.com/ros-naoqi/naoqi_driver/issues/88>)
  * Missing tf2 include and tf2 exception type (#103 <https://github.com/ros-naoqi/naoqi_driver/issues/103>)
    * Add missing include tf2_ros/buffer.h
    * Catch tf2::TransformException
  * add services for get and set language (#87 <https://github.com/ros-naoqi/naoqi_driver/issues/87>)


=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
